package com.ruoyi.oa.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc预结算对象 cmc_budget_settle
 * 
 * @author cmc
 * @date 2024-03-22
 */
public class CmcBudgetSettle extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 预结算id */
    private Long budgetSettleId;

    /** 预算id */
    @Excel(name = "预算id")
    private String budgetId;

    /** 工作类别 */
    @Excel(name = "工作类别")
    private String content;

    /** 结算单价id */
    @Excel(name = "结算单价id")
    private Integer priceId;

    private CmcPrice cmcPrice;

    /** 核算单价id */
    @Excel(name = "核算单价id")
    private Long checkPriceId;

    private CmcCheckPrice cmcCheckPrice;

    /** 工作量 */
    @Excel(name = "工作量")
    private Double workload;

    /** 系数 */
    @Excel(name = "系数")
    private Double coefficient;

    /** 地类 */
    @Excel(name = "地类")
    private String groundType;

    /** 结算金额 */
    @Excel(name = "结算金额")
    private BigDecimal settle;

    public void setBudgetSettleId(Long budgetSettleId)
    {
        this.budgetSettleId = budgetSettleId;
    }

    public Long getBudgetSettleId()
    {
        return budgetSettleId;
    }
    public void setBudgetId(String budgetId) 
    {
        this.budgetId = budgetId;
    }

    public String getBudgetId() 
    {
        return budgetId;
    }
    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }
    public void setPriceId(Integer priceId) 
    {
        this.priceId = priceId;
    }

    public Integer getPriceId() 
    {
        return priceId;
    }
    public void setCmcPrice(CmcPrice cmcPrice)
    {
        this.cmcPrice = cmcPrice;
    }

    public CmcPrice getCmcPrice()
    {
        return cmcPrice;
    }
    public void setCmcCheckPrice(CmcCheckPrice cmcCheckPrice)
    {
        this.cmcCheckPrice = cmcCheckPrice;
    }

    public CmcCheckPrice getCmcCheckPrice()
    {
        return cmcCheckPrice;
    }
    public void setWorkload(Double workload)
    {
        this.workload = workload;
    }

    public Double getWorkload()
    {
        return workload;
    }
    public void setCoefficient(Double coefficient)
    {
        this.coefficient = coefficient;
    }

    public Double getCoefficient()
    {
        return coefficient;
    }
    public void setGroundType(String groundType)
    {
        this.groundType = groundType;
    }

    public String getGroundType()
    {
        return groundType;
    }
    public void setSettle(BigDecimal settle) 
    {
        this.settle = settle;
    }

    public BigDecimal getSettle() 
    {
        return settle;
    }
    public void setCheckPriceId(Long checkPriceId)
    {
        this.checkPriceId = checkPriceId;
    }

    public Long getCheckPriceId()
    {
        return checkPriceId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("budgetSettleId", getBudgetSettleId())
            .append("budgetId", getBudgetId())
            .append("priceId", getPriceId())
            .append("workload", getWorkload())
            .append("coefficient", getCoefficient())
            .append("groundType", getGroundType())
            .append("settle", getSettle())
            .toString();
    }
}
